import { AufnahmeClient } from "#components/Ausweis/types.js";
import { AuditType, hidden } from "./hidden.js";

export function auditWohnFlaeche(gebaeude: AufnahmeClient ): boolean {
	if (gebaeude.einheiten && gebaeude.flaeche ) {
        if (!hidden.has(AuditType.WOHN_FLAECHE)){
			return (
				(gebaeude.flaeche < gebaeude.einheiten * 30)
			);
		}
	}

	return false
}